echo
# Check kernel version and warn if the kernel version is not correct (slack-required seems not working...)
if [ `/bin/uname -r` != "2.4.26" ]; then
    echo "WARNING: Incorrect kernel version! You need a 2.4.26 kernel."
fi

# Check if there is an active eagle-usb driver loaded and remove it
if [ `/sbin/lsmod | grep "^eagle-usb" | wc -l` == 1 ]; then
    # eagle-usb module already loaded, removing it...
    echo "eagle-usb kernel module driver already loaded, removing it..."
    /sbin/rmmod eagle-usb
fi

# Rebuild kernels modules list
echo "Rebuilding kernel's auto-loadable modules list..."
/sbin/depmod

# Restart hotplug (if exists ...)
if [ -x /etc/rc.d/rc.hotplug ]; then
    echo "Reloading hotplug's USB devices map..."
    /etc/rc.d/rc.hotplug force-reload
else
    echo "Hotplug is not running, manually inserting the kernel module..."
    /sbin/modprobe eagle-usb
fi

echo -e "\nDon't forget to configure your ADSL connection using the /usr/sbin/eagleconfig script."
